config/routes.rb
Rails.application.routes.draw do
  resources :events
  resources :tickets

end

app/models/event.rb
class Event < ActiveRecord::Base
end

app/models/ticket.rb
class Ticket < ActiveRecord::Base
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
end

app/controllers/events_controller.rb
class EventsController < ApplicationController
  before_action :set_event, only: [:show, :edit, :update, :destroy]

  # GET /events
  # GET /events.json
  def index
    @events = Event.all
  end

  # GET /events/1
  # GET /events/1.json
  def show
  end

  # GET /events/new
  def new
    @event = Event.new
  end

  # GET /events/1/edit
  def edit
  end

  # POST /events
  # POST /events.json
  def create
    @event = Event.new(event_params)

    respond_to do |format|
      if @event.save
        format.html { redirect_to @event, notice: 'Wydarzenie zostało pomyślnie dodane.' }
        format.json { render :show, status: :created, location: @event }
      else
        format.html { render :new }
        format.json { render json: @event.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /events/1
  # PATCH/PUT /events/1.json
  def update
    respond_to do |format|
      if @event.update(event_params)
        format.html { redirect_to @event, notice: 'Wydarzenie zostało pomyślnie zaktualizowane.' }
        format.json { render :show, status: :ok, location: @event }
      else
        format.html { render :edit }
        format.json { render json: @event.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /events/1
  # DELETE /events/1.json
  def destroy
    @event.destroy
    respond_to do |format|
      format.html { redirect_to events_url, notice: 'Wydarzenie zostało pomyślnie usunięte.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_event
      @event = Event.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def event_params
      params.require(:event).permit(:artist, :description, :price_low, :price_high, :event_date)
    end
end

app/controllers/tickets_controller.rb
class TicketsController < ApplicationController
  before_action :set_ticket, only: [:show, :edit, :update, :destroy]

  # GET /tickets
  # GET /tickets.json
  def index
    @tickets = Ticket.all
  end

  # GET /tickets/1
  # GET /tickets/1.json
  def show
  end

  # GET /tickets/new
  def new
    @ticket = Ticket.new
  end

  # GET /tickets/1/edit
  def edit
  end

  # POST /tickets
  # POST /tickets.json
  def create
    @ticket = Ticket.new(ticket_params)

    respond_to do |format|
      if @ticket.save
        format.html { redirect_to @ticket, notice: 'Bilet został pomyślnie dodany.' }
        format.json { render :show, status: :created, location: @ticket }
      else
        format.html { render :new }
        format.json { render json: @ticket.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /tickets/1
  # PATCH/PUT /tickets/1.json
  def update
    respond_to do |format|
      if @ticket.update(ticket_params)
        format.html { redirect_to @ticket, notice: 'Bilet został pomyślnie zaktualizowany.' }
        format.json { render :show, status: :ok, location: @ticket }
      else
        format.html { render :edit }
        format.json { render json: @ticket.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /tickets/1
  # DELETE /tickets/1.json
  def destroy
    @ticket.destroy
    respond_to do |format|
      format.html { redirect_to tickets_url, notice: 'Bilet został pomyślnie usunięty.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_ticket
      @ticket = Ticket.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def ticket_params
      params.require(:ticket).permit(:name, :seat_id_seq, :address, :price_paid, :email_address)
    end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/events_helper.rb
module EventsHelper
end

app/helpers/tickets_helper.rb
module TicketsHelper
end

app/views/events/_form.html.erb
<%= form_for(@event) do |f| %>
  <% if @event.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@event.errors.count, "error") %> prohibited this event from being saved:</h2>

      <ul>
      <% @event.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :Artysta %><br>
    <%= f.text_field :artist %>
  </div>
  <div class="field">
    <%= f.label :Opis_wydarzenia %><br>
    <%= f.text_area :description %>
  </div>
  <div class="field">
    <%= f.label :Cena_od %><br>
    <%= f.text_field :price_low %>
  </div>
  <div class="field">
    <%= f.label :Cena_do %><br>
    <%= f.text_field :price_high %>
  </div>
  <div class="field">
    <%= f.label :Data %><br>
    <%= f.date_select :event_date %>
  </div>
  <div class="actions">
    <%= f.submit "Utwórz"%>
  </div>
<% end %>

app/views/events/edit.html.erb
<h1>Stwóż wydarzenie</h1>

<%= render 'form' %>

<%= link_to 'Pokaż', @event %> |
<%= link_to 'Wróć', events_path %>

app/views/events/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Lista wydarzeń</h1>

<table>
  <thead>
    <tr>
      <th>Artysta</th>
      <th>Opis wydarzenia</th>
      <th>Cena od</th>
      <th>Cena do</th>
      <th>Data</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @events.each do |event| %>
      <tr>
        <td><%= event.artist %></td>
        <td><%= event.description %></td>
        <td><%= event.price_low %></td>
        <td><%= event.price_high %></td>
        <td><%= event.event_date %></td>
        <td><%= link_to 'Pokaż', event %></td>
        <td><%= link_to 'Edytuj', edit_event_path(event) %></td>
        <td><%= link_to 'Usuń', event, method: :delete, data: { confirm: 'Czy na pewno chcesz usunąć wpis?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'Nowe wydarzenie', new_event_path %>

app/views/events/new.html.erb
<h1>Nowe wydarzenie</h1>

<%= render 'form' %>

<%= link_to 'Wróć', events_path %>

app/views/events/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Artysta:</strong>
  <%= @event.artist %>
</p>

<p>
  <strong>Opis wydarzenia:</strong>
  <%= @event.description %>
</p>

<p>
  <strong>Cena od:</strong>
  <%= @event.price_low %>
</p>

<p>
  <strong>Cena do:</strong>
  <%= @event.price_high %>
</p>

<p>
  <strong>Data:</strong>
  <%= @event.event_date %>
</p>

<%= link_to 'Edytuj', edit_event_path(@event) %> |
<%= link_to 'Wróć', events_path %>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
  <title>Tickets</title>
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
  <%= csrf_meta_tags %>
</head>
<body>

<%= yield %>

</body>
</html>

app/views/tickets/_form.html.erb
<%= form_for(@ticket) do |f| %>
  <% if @ticket.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@ticket.errors.count, "error") %> prohibited this ticket from being saved:</h2>

      <ul>
      <% @ticket.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :imię_i_nazwisko %><br>
    <%= f.text_field :name %>
  </div>
  <div class="field">
    <%= f.label :miejsce_nr %><br>
    <%= f.text_field :seat_id_seq %>
  </div>
  <div class="field">
    <%= f.label :adres %><br>
    <%= f.text_area :address %>
  </div>
  <div class="field">
    <%= f.label :cena %><br>
    <%= f.text_field :price_paid %>
  </div>
  <div class="field">
    <%= f.label :adres_email %><br>
    <%= f.text_field :email_address %>
  </div>
  <div class="field">
    <%= f.label :nr_telefonu %><br>
    <%= f.text_field :phone %>
  </div>
  <div class="actions">
    <%= f.submit "Utwórz"%>
  </div>
<% end %>

app/views/tickets/edit.html.erb
<h1>Editing Ticket</h1>

<%= render 'form' %>

<%= link_to 'Pokaż', @ticket %> |
<%= link_to 'Wróć', tickets_path %>

app/views/tickets/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Lista biletów</h1>

<table>
  <thead>
    <tr>
      <th>Imię i nazwisko</th>
      <th>Miejsce nr</th>
      <th>Adres</th>
      <th>Cena</th>
      <th>Adres Email</th>
      <th>Nr telefonu</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @tickets.each do |ticket| %>
      <tr>
        <td><%= ticket.name %></td>
        <td><%= ticket.seat_id_seq %></td>
        <td><%= ticket.address %></td>
        <td><%= ticket.price_paid %></td>
        <td><%= ticket.email_address %></td>
        <td><%= ticket.phone %></td>
        <td><%= link_to 'Pokaż', ticket %></td>
        <td><%= link_to 'Edytuj', edit_ticket_path(ticket) %></td>
        <td><%= link_to 'Usuń', ticket, method: :delete, data: { confirm: 'Czy na pewno chcesz usunąć wpis?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'Nowy bilet', new_ticket_path %>

app/views/tickets/new.html.erb
<h1>New Ticket</h1>

<%= render 'form' %>

<%= link_to 'Wróć', tickets_path %>

app/views/tickets/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Imię i nazwisko:</strong>
  <%= @ticket.name %>
</p>

<p>
  <strong>Miejsce nr:</strong>
  <%= @ticket.seat_id_seq %>
</p>

<p>
  <strong>Adres:</strong>
  <%= @ticket.address %>
</p>

<p>
  <strong>Cena:</strong>
  <%= @ticket.price_paid %>
</p>

<p>
  <strong>Adres Email:</strong>
  <%= @ticket.email_address %>
</p>

<p>
  <strong>Nr telefonu</strong>
  <%= @ticket.phone %>
</p>

<%= link_to 'Edytuj', edit_ticket_path(@ticket) %> |
<%= link_to 'Wróć', tickets_path %>